# Constant Field Values

## Contents

- org.tmatesoft.*

## org.tmatesoft.*

org.tmatesoft.svn.core.SVNDirEntry
Modifier and Type
Constant Field
Value
`public static final int`
`DIRENT_ALL`
`-1`
`public static final int`
`DIRENT_COMMIT_MESSAGE`
`64`
`public static final int`
`DIRENT_CREATED_REVISION`
`8`
`public static final int`
`DIRENT_HAS_PROPERTIES`
`4`
`public static final int`
`DIRENT_KIND`
`1`
`public static final int`
`DIRENT_LAST_AUTHOR`
`32`
`public static final int`
`DIRENT_SIZE`
`2`
`public static final int`
`DIRENT_TIME`
`16`
org.tmatesoft.svn.core.SVNErrorCode
Modifier and Type
Constant Field
Value
`public static final int`
`APMOD_CATEGORY`
`190000`
`public static final int`
`AUTHN_CATEGORY`
`215000`
`public static final int`
`AUTHZ_CATEGORY`
`220000`
`public static final int`
`BAD_CATEGORY`
`125000`
`public static final int`
`CL_CATEGORY`
`205000`
`public static final int`
`CLIENT_CATEGORY`
`195000`
`public static final int`
`DIFF_CATEGORY`
`225000`
`public static final int`
`ENTRY_CATEGORY`
`150000`
`public static final int`
`FS_CATEGORY`
`160000`
`public static final int`
`IO_CATEGORY`
`135000`
`public static final int`
`MALFUNC_CATEGORY`
`235000`
`public static final int`
`MISC_CATEGORY`
`200000`
`public static final int`
`NODE_CATEGORY`
`145000`
`public static final int`
`RA_CATEGORY`
`170000`
`public static final int`
`RA_DAV_CATEGORY`
`175000`
`public static final int`
`RA_LOCAL_CATEGORY`
`180000`
`public static final int`
`RA_SERF_CATEGORY`
`230000`
`public static final int`
`RA_SVN_CATEGORY`
`210000`
`public static final int`
`REPOS_CATEGORY`
`165000`
`public static final int`
`STREAM_CATEGORY`
`140000`
`public static final int`
`SVNDIFF_CATEGORY`
`185000`
`public static final int`
`WC_CATEGORY`
`155000`
`public static final int`
`XML_CATEGORY`
`130000`
org.tmatesoft.svn.core.SVNErrorMessage
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_ERROR`
`0`
`public static final int`
`TYPE_WARNING`
`1`
org.tmatesoft.svn.core.SVNLogEntryPath
Modifier and Type
Constant Field
Value
`public static final char`
`TYPE_ADDED`
`'A'`
`public static final char`
`TYPE_DELETED`
`'D'`
`public static final char`
`TYPE_MODIFIED`
`'M'`
`public static final char`
`TYPE_REPLACED`
`'R'`
org.tmatesoft.svn.core.SVNProperty
Modifier and Type
Constant Field
Value
`public static final String`
`ABSENT`
`"svn:entry:absent"`
`public static final String`
`ACTIVITY_URL`
`"svn:wc:ra_dav:activity-url"`
`public static final String`
`CACHABLE_PROPS`
`"svn:entry:cachable-props"`
`public static final String`
`CHANGELIST`
`"svn:entry:changelist"`
`public static final String`
`CHARSET`
`"svnkit:charset"`
`public static final String`
`CHECKSUM`
`"svn:entry:checksum"`
`public static final String`
`COMMITTED_DATE`
`"svn:entry:committed-date"`
`public static final String`
`COMMITTED_REVISION`
`"svn:entry:committed-rev"`
`public static final String`
`CONFLICT_NEW`
`"svn:entry:conflict-new"`
`public static final String`
`CONFLICT_OLD`
`"svn:entry:conflict-old"`
`public static final String`
`CONFLICT_WRK`
`"svn:entry:conflict-wrk"`
`public static final String`
`COPIED`
`"svn:entry:copied"`
`public static final String`
`COPYFROM_REVISION`
`"svn:entry:copyfrom-rev"`
`public static final String`
`COPYFROM_URL`
`"svn:entry:copyfrom-url"`
`public static final String`
`CORRUPTED`
`"svn:entry:corrupted"`
`public static final String`
`DELETED`
`"svn:entry:deleted"`
`public static final String`
`DEPTH`
`"svn:entry:depth"`
`public static final String`
`EOL_STYLE`
`"svn:eol-style"`
`public static final String`
`EOL_STYLE_CR`
`"CR"`
`public static final String`
`EOL_STYLE_CRLF`
`"CRLF"`
`public static final String`
`EOL_STYLE_LF`
`"LF"`
`public static final String`
`EOL_STYLE_NATIVE`
`"native"`
`public static final String`
`EXECUTABLE`
`"svn:executable"`
`public static final String`
`EXTERNALS`
`"svn:externals"`
`public static final String`
`FILE_EXTERNAL_PATH`
`"svn:entry:file-external-path"`
`public static final String`
`FILE_EXTERNAL_PEG_REVISION`
`"svn:entry:file-external-peg-revision"`
`public static final String`
`FILE_EXTERNAL_REVISION`
`"svn:entry:file-external-revision"`
`public static final String`
`HAS_PROP_MODS`
`"svn:entry:has-prop-mods"`
`public static final String`
`HAS_PROPS`
`"svn:entry:has-props"`
`public static final String`
`IGNORE`
`"svn:ignore"`
`public static final String`
`INCOMPLETE`
`"svn:entry:incomplete"`
`public static final String`
`INHERITABLE_AUTO_PROPS`
`"svn:auto-props"`
`public static final String`
`INHERITABLE_IGNORES`
`"svn:global-ignores"`
`public static final String`
`KEEP_LOCAL`
`"svn:entry:keep-local"`
`public static final String`
`KEYWORDS`
`"svn:keywords"`
`public static final String`
`KIND`
`"svn:entry:kind"`
`public static final String`
`KIND_DIR`
`"dir"`
`public static final String`
`KIND_FILE`
`"file"`
`public static final String`
`LAST_AUTHOR`
`"svn:entry:last-author"`
`public static final String`
`LOCK_COMMENT`
`"svn:entry:lock-comment"`
`public static final String`
`LOCK_CREATION_DATE`
`"svn:entry:lock-creation-date"`
`public static final String`
`LOCK_OWNER`
`"svn:entry:lock-owner"`
`public static final String`
`LOCK_TOKEN`
`"svn:entry:lock-token"`
`public static final String`
`MERGE_INFO`
`"svn:mergeinfo"`
`public static final String`
`MIME_TYPE`
`"svn:mime-type"`
`public static final String`
`NAME`
`"svn:entry:name"`
`public static final String`
`NATIVE`
`"native"`
`public static final String`
`NEEDS_LOCK`
`"svn:needs-lock"`
`public static final String`
`PRESENT_PROPS`
`"svn:entry:present-props"`
`public static final String`
`PROP_REJECT_FILE`
`"svn:entry:prop-reject-file"`
`public static final String`
`PROP_TIME`
`"svn:entry:prop-time"`
`public static final String`
`REPOS`
`"svn:entry:repos"`
`public static final String`
`REVISION`
`"svn:entry:revision"`
`public static final String`
`SCHEDULE`
`"svn:entry:schedule"`
`public static final String`
`SCHEDULE_ADD`
`"add"`
`public static final String`
`SCHEDULE_DELETE`
`"delete"`
`public static final String`
`SCHEDULE_REPLACE`
`"replace"`
`public static final String`
`SPECIAL`
`"svn:special"`
`public static final String`
`SVN_ENTRY_PREFIX`
`"svn:entry:"`
`public static final String`
`SVN_PREFIX`
`"svn:"`
`public static final String`
`SVN_SYNC_PREFIX`
`"svn:sync-"`
`public static final String`
`SVN_WC_PREFIX`
`"svn:wc:"`
`public static final String`
`SVNKIT_ENTRY_PREFIX`
`"svnkit:entry:"`
`public static final String`
`SVNKIT_PREFIX`
`"svnkit:"`
`public static final String`
`SVNKIT_SHA1_CHECKSUM`
`"svnkit:entry:sha1-checksum"`
`public static final String`
`TEXT_TIME`
`"svn:entry:text-time"`
`public static final String`
`TREE_CONFLICT_DATA`
`"svn:entry:tree-conflicts"`
`public static final String`
`TXN_CHECK_LOCKS`
`"svn:check-locks"`
`public static final String`
`TXN_CHECK_OUT_OF_DATENESS`
`"svn:check-ood"`
`public static final String`
`URL`
`"svn:entry:url"`
`public static final String`
`UUID`
`"svn:entry:uuid"`
`public static final String`
`WC_URL`
`"svn:wc:ra_dav:version-url"`
`public static final String`
`WORKING_SIZE`
`"svn:entry:working-size"`
`public static final long`
`WORKING_SIZE_UNKNOWN`
`-1L`
org.tmatesoft.svn.core.SVNRevisionProperty
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHOR`
`"svn:author"`
`public static final String`
`AUTOVERSIONED`
`"svn:autoversioned"`
`public static final String`
`CURRENTLY_COPYING`
`"svn:sync-currently-copying"`
`public static final String`
`DATE`
`"svn:date"`
`public static final String`
`FROM_URL`
`"svn:sync-from-url"`
`public static final String`
`FROM_UUID`
`"svn:sync-from-uuid"`
`public static final String`
`LAST_MERGED_REVISION`
`"svn:sync-last-merged-rev"`
`public static final String`
`LOCK`
`"svn:sync-lock"`
`public static final String`
`LOG`
`"svn:log"`
`public static final String`
`ORIGINAL_DATE`
`"svn:original-date"`
`public static final String`
`SVN_TXN_CLIENT_COMPAT_VERSION`
`"svn:txn-client-compat-version"`
`public static final String`
`SVN_TXN_PREFIX`
`"svn:txn-"`
`public static final String`
`SVN_TXN_USER_AGENT`
`"svn:txn-user-agent"`

org.tmatesoft.svn.core.auth.ISVNAuthenticationManager
Modifier and Type
Constant Field
Value
`public static final String`
`PASSWORD`
`"svn.simple"`
`public static final String`
`SSH`
`"svn.ssh"`
`public static final String`
`SSL`
`"svn.ssl.client-passphrase"`
`public static final String`
`USERNAME`
`"svn.username"`
org.tmatesoft.svn.core.auth.ISVNAuthenticationProvider
Modifier and Type
Constant Field
Value
`public static final int`
`ACCEPTED`
`2`
`public static final int`
`ACCEPTED_TEMPORARY`
`1`
`public static final int`
`REJECTED`
`0`
org.tmatesoft.svn.core.auth.SVNSSLAuthentication
Modifier and Type
Constant Field
Value
`public static final String`
`MSCAPI`
`"MSCAPI"`
`public static final String`
`SSL`
`"SSL"`

org.tmatesoft.svn.core.io.SVNRepository
Modifier and Type
Constant Field
Value
`public static final long`
`INVALID_REVISION`
`-1L`

org.tmatesoft.svn.core.io.diff.SVNDiffInstruction
Modifier and Type
Constant Field
Value
`public static final int`
`COPY_FROM_NEW_DATA`
`2`
`public static final int`
`COPY_FROM_SOURCE`
`0`
`public static final int`
`COPY_FROM_TARGET`
`1`

org.tmatesoft.svn.core.wc.DefaultSVNDiffGenerator
Modifier and Type
Constant Field
Value
`protected static final String`
`HEADER_SEPARATOR`
`"==================================================================="`
`protected static final String`
`PROPERTIES_SEPARATOR`
`"___________________________________________________________________"`
`protected static final String`
`WC_REVISION_LABEL`
`"(working copy)"`
org.tmatesoft.svn.core.wc.DefaultSVNRepositoryPool
Modifier and Type
Constant Field
Value
`public static final int`
`INSTANCE_POOL`
`2`
`public static final int`
`NO_POOL`
`4`
`public static final int`
`RUNTIME_POOL`
`1`
org.tmatesoft.svn.core.wc.ISVNEventHandler
Modifier and Type
Constant Field
Value
`public static final double`
`UNKNOWN`
`-1.0`

org.tmatesoft.svn.core.wc.admin.ISVNGNUDiffGenerator
Modifier and Type
Constant Field
Value
`public static final int`
`ADDED`
`0`
`public static final int`
`COPIED`
`3`
`public static final int`
`DELETED`
`1`
`public static final int`
`MODIFIED`
`2`
`public static final int`
`NO_DIFF`
`4`
org.tmatesoft.svn.core.wc.admin.SVNChangeEntry
Modifier and Type
Constant Field
Value
`public static final char`
`TYPE_ADDED`
`'A'`
`public static final char`
`TYPE_DELETED`
`'D'`
`public static final char`
`TYPE_UPDATED`
`'U'`

org.tmatesoft.svn.core.wc.xml.SVNXMLAnnotateHandler
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHOR_TAG`
`"author"`
`public static final String`
`BLAME_TAG`
`"blame"`
`public static final String`
`COMMIT_TAG`
`"commit"`
`public static final String`
`DATE_TAG`
`"date"`
`public static final String`
`ENTRY_TAG`
`"entry"`
`public static final String`
`LINE_NUMBER_TAG`
`"line-number"`
`public static final String`
`MERGED_TAG`
`"merged"`
`public static final String`
`PATH_ATTR`
`"path"`
`public static final String`
`REVISION_ATTR`
`"revision"`
`public static final String`
`TARGET_TAG`
`"target"`
org.tmatesoft.svn.core.wc.xml.SVNXMLDirEntryHandler
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHOR_TAG`
`"author"`
`public static final String`
`COMMENT_TAG`
`"comment"`
`public static final String`
`COMMIT_TAG`
`"commit"`
`public static final String`
`CREATED_TAG`
`"created"`
`public static final String`
`DATE_TAG`
`"date"`
`public static final String`
`ENTRY_TAG`
`"entry"`
`public static final String`
`EXPIRES_TAG`
`"expires"`
`public static final String`
`LIST_TAG`
`"list"`
`public static final String`
`LISTS_TAG`
`"lists"`
`public static final String`
`LOCK_TAG`
`"lock"`
`public static final String`
`NAME_TAG`
`"name"`
`public static final String`
`OWNER_TAG`
`"owner"`
`public static final String`
`PATH_ATTR`
`"path"`
`public static final String`
`REVISION_ATTR`
`"revision"`
`public static final String`
`SIZE_TAG`
`"size"`
`public static final String`
`TOKEN_TAG`
`"token"`
org.tmatesoft.svn.core.wc.xml.SVNXMLLogHandler
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_ATTR`
`"action"`
`public static final String`
`AUTHOR_TAG`
`"author"`
`public static final String`
`COPYFROM_PATH_ATTR`
`"copyfrom-path"`
`public static final String`
`COPYFROM_REV_ATTR`
`"copyfrom-rev"`
`public static final String`
`DATE_TAG`
`"date"`
`public static final String`
`LOG_TAG`
`"log"`
`public static final String`
`LOGENTRY_TAG`
`"logentry"`
`public static final String`
`MSG_TAG`
`"msg"`
`public static final String`
`PATH_TAG`
`"path"`
`public static final String`
`PATHS_TAG`
`"paths"`
`public static final String`
`REVISION_ATTR`
`"revision"`
org.tmatesoft.svn.core.wc.xml.SVNXMLStatusHandler
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHOR_TAG`
`"author"`
`public static final String`
`COMMENT_TAG`
`"comment"`
`public static final String`
`COMMIT_TAG`
`"commit"`
`public static final String`
`COPIED_ATTR`
`"copied"`
`public static final String`
`CREATED_TAG`
`"created"`
`public static final String`
`DATE_TAG`
`"date"`
`public static final String`
`ENTRY_TAG`
`"entry"`
`public static final String`
`EXPIRES_TAG`
`"expires"`
`public static final String`
`ITEM_ATTR`
`"item"`
`public static final String`
`LOCK_TAG`
`"lock"`
`public static final String`
`OWNER_TAG`
`"owner"`
`public static final String`
`PATH_ATTR`
`"path"`
`public static final String`
`PROPS_ATTR`
`"props"`
`public static final String`
`REMOTE_STATUS_TAG`
`"repos-status"`
`public static final String`
`REVISION_ATTR`
`"revision"`
`public static final String`
`STATUS_TAG`
`"status"`
`public static final String`
`SWITCHED_ATTR`
`"switched"`
`public static final String`
`TOKEN_TAG`
`"token"`
`public static final String`
`WC_LOCKED_ATTR`
`"wc-locked"`
`public static final String`
`WC_STATUS_TAG`
`"wc-status"`

org.tmatesoft.svn.core.wc2.SvnChecksum
Modifier and Type
Constant Field
Value
`public static final String`
`SHA1_EMPTY`
`"da39a3ee5e6b4b0d3255bfef95601890afd80709"`
org.tmatesoft.svn.core.wc2.SvnCommitItem
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`1`
`public static final int`
`COPY`
`16`
`public static final int`
`DELETE`
`2`
`public static final int`
`LOCK`
`32`
`public static final int`
`MOVED_HERE`
`64`
`public static final int`
`PROPS_MODIFIED`
`8`
`public static final int`
`TEXT_MODIFIED`
`4`
org.tmatesoft.svn.core.wc2.SvnMerge
Modifier and Type
Constant Field
Value
`public static final boolean`
`EMULATE_AUTOMATIC_MERGE`
`true`
org.tmatesoft.svn.core.wc2.SvnSetWCDbVersion
Modifier and Type
Constant Field
Value
`public static final int`
`WC_DB_17_VERSION`
`29`
`public static final int`
`WC_DB_18_VERSION`
`31`